/*  GIMP header image file format (RGB-only): /home/klaux/sources/libuta/logo.h  */

namespace uta {

static unsigned int width = 32;
static unsigned int height = 32;

/*  Call this macro repeatedly.  After each use, the pixel data can be extracted  */

#define HEADER_PIXEL(data,pixel) \
  pixel[0] = (((data[0] - 33) << 2) | ((data[1] - 33) >> 4)); \
  pixel[1] = ((((data[1] - 33) & 0xF) << 4) | ((data[2] - 33) >> 2)); \
  pixel[2] = ((((data[2] - 33) & 0x3) << 6) | ((data[3] - 33))); \
  data += 4;

static char *header_data =
	"(#)U'C%X&2MN'#!U$!]?\"1=4\"!9/\"!9/\"1=.\"!9.#AY;'\"UL(S1S*3IX+C]^)S=R"
	")C9Q(S-L)#5P'2UH'2YN#QY=\"AA1#AU8\"QE3#AU8\"!5-\"!51\"!51\"!51\"!51$R-C"
	"\"!=0!!!!!!!!!!!!!!!!!!!$*T.8$29Z+$6K+D*21%F?%R).*#MN$!I)/DZ2'BA="
	"*#IQ.D2+,C]\\+D!Y/U*0,4)]*C^$%\"V\"\"A]R)#J7$21J\"QQ/#R!1#A]-!!%)#!I<"
	"%REM-5*T'#)^+$VD\"!95!!!!!!!'!!!!-$%Y(\"A4(RUA2%:?5&JV6W\"[0TZ42EBB"
	".4V,0E>;,D=`/U24.$F(-T6&'B]<)C5D!!!!!!!!!!!!!!!'$\"9R!!%3$B=V#!I<"
	"\"QM9!!!!!!!!!!!!!!!!!!!!3&.K2UJ;3%^F/U\"3-$:!/E*.'2E:-$A`+#MP+SYU"
	"*3-G(BQ@+C]Y+T%Y+3MQ,T%X+3][8'7$4&BI4V>S%\"!G\"11*%2!5%\"!1$1Y5#!I<"
	"$B1E%\"1P'CF.'#%^!!!6)C=L*SYT'RM@)C%H0U682%F<.TF\"46*E.TZ'/TR,3F&E"
	"5&BN3V.F1%28/T^-5FRU46*H,41Z(3-F'\"E?'BE?0U>8!!M=%2V!!!16$R1T#1Q="
	"#AY<!!!!!!!+!!!!)#1J)S5K46FS3F&I*SAN-41[.DR)15F13%B83F.>2EF7/$R\""
	"0$^&.$9Y0E20.DI`,D!U+#AM+SYW+SUY+CQU*C=P*3IJ)\"]B!!!!!!!!!!!!\"1=0"
	"&\"MN&S:,-5*V1V&F,#MT)3-L05242%R7/$J&-$5^05:-1%6.0T^$1%.*5V6E0%&)"
	"1E>.:'S#152.,#EM0E>.4F:C35^;/TV)+#YU,4)]-D>&2%B?5VNT+46F*$6B%RAM"
	"\"AI7!!!!!!%,(R]C*SAP*SES*#=L.DV%05&.2UV:2U^92%B3/$Q[0U2)56BA7&NO"
	"87\"U2UN446&9>8O30U&,+SQM'BE5)3!C1UB70U>2*3EL*SQW'RI:!11&!!!!\"1=1"
	"&2QP\"!IO6W\"S/U&)+3MP*SUT1%6135VA-DM]1U>48G>W86^P2UJ0;'S&=8712ER4"
	"2UJ/05!`6&:B1E2+8WBV<XG6<87277*W/D^((S1B/DV0+3IU1U:;8'B_%\"EV'C%W"
	"\"QI8!!!!)39H&2-<*SYT.DJ-/4V&25Z:1U..6&:F7FZL3%>51U>+3UZ866RH46.="
	"4F&::(&`3V\";46*=3V*;/DV!4&.;5&>G&R=0.$=^6&BM,T*#-D:$,#]U#!A/#1Q:"
	"\"1A3!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!9+.T=`876S7&RI6FB@5%Z:5F2@"
	"8FJL=XG13%:+66BB8G:O)#^%!!!1!!!!%#V23&&M.D5^-T*\")31I(R]L%\"-/\"QM8"
	"'\"UL3G3\"```7````````````````````````?YO2)SAL4F.@5FJC4E^:;'_%5V6B"
	"/U*$5&6A9'BQ6&RE15:*/V+!```````\\^P``'C!G'\"A3-T>&'RUE,T-[4&*J)39W"
	"&2AB!!!/OQ1!````<1!,````O\\`6!!!!````,4U]!!!!%S1T3&:M:7K'\"2!/%C5]"
	"$S)W*D.$,TB+*E\"6!!A8!!!!_?(+2!!!<7[8!!!!-U:@!!!!!!!+!!%;!!!!'RYI"
	"*CM[D;'X``3I````P<4]````````````````X^8O`````_@YG;KF7G[8!!))```N"
	"````*TE^,5*2`````<O[UP``````RO8`````,TNC\"D&\"R:[1````O++A_P8\\=GJW"
	")C5Q0R=@]R]!````$A\"LR-4/N;T(!!!N(SCAPI`?O;0`=#*)4B=VN<CV!!->`E1>"
	"`_LP)T9`$S1VQ9.T1Q!!````JD=`!!!!4)X`JL<R```^]3E!R(S>[9K?J&.NEI#("
	"*3EU7)3+O0T&````N\\/.``````````_^YO7;````^0`L````````````!!!,X```"
	"````&3ML%S9X````````M^@-````````W@XC````P``UN```````````````I+'H"
	")C1P82Q@`S]!````!!!@S^@_L<@_!!#Y````>8_;!!!!+CE`5UP>````'2];32C<"
	"````*3EZ!!!#\\]X`-1SE!!!!`^LH9R&P!!![````RUW%OYCI!!!!.$^0````BXW2"
	")C1P3YK4?*[;````C96:````^P3Q5UY#````8WZL!!!!8IV_8H2)````*4EKY`#S"
	"```7!!-!!!5&```K```A-5-R````W@0\"/'BC````E;S5PN`0!!!!586\\````HZ_B"
	"(C)N53-F`Y]A````D&$[Y@H`WOX`>8,`\\P``````]=;X`X_1`XW,````!!!!````"
	"`/D`````````OX4*]OT`-%>J````Y7#6$5#]X?H>`_4]]FW+UN(``````TA\"HIO0"
	"'2QI'DJ2E,7E````)C1!```````B4UM-251,/EZ.RL79J\\#G````V_`W!!!!H;O1"
	";DE!-4U=`_KOU='PK\\+,!!!!````XL6/9I7A!!!!````P='!V?X\"Q_(,_```FJGB"
	"%\"-A!!!&>86YC:'L2ERLV>(>7V^RUM@K````T>X`SO(`````G;#B(31V*CU[2&.A"
	"```^O<P\\O?$``@``5FBJ*$&7Z.D?^=<\"?)GL!!!!'\"UVQ]@.R-@_M\\0'B9G6.DF$"
	"&2IM*CQ].U*D!!!-!!%1!!!!)D*1!!!$\"!U6$1Y/+S][#QE.+4%Z6&BL3%J3/E*."
	"(3)H&BM7)#5F'RI9+T)U1E>?&B]P%RYR%\"MA,D.!%\"EB!!!'!!!&!!!!!!!%$2!="
	"\"QI5!!!!-45[$AU*&R56:8#1/4R*/TN'-T5X5V:D3EB/8G:X1E6+87&P3UR99'6Y"
	"4V.?4FB>4%V815:'15\"&1$Z$2UR46FVM-$1V5&:H5&2L-$)\\-T:&25R>/TZ6'C!W"
	"'C%X\"B1W56RO4FBP8'3#/%&-+SYV)#!@*3!>,#]P-T!W/DA_9&VO3%R476FI7G\"L"
	"3%N57G*N97F^7W2W35V68G6U36\"?4V:E/4Z(2UR<.TF&25ZD(S1I)3!D!!!!#AU="
	"#AY9!!!!\"!-(\"Q%!)S9M&R=;(\"Y<8'.`;8'097K$76VQ9WO'35Z;0$M`66BL/4Q_"
	"6&NM:'[%5&BC4E^=/$Q_4%^91U^<.$1_/E\").4F!+#QS-TN)0E*35VZX%RV&(#1["
	"%REL$B%Q&BU^46.G0%.1/T^07W;&.4R'0$V+25J:2EN:1UB477&Q9'N]2UN77G\"R"
	"05*'5&:F25V9-D)T/4Y`0U2/35^>,T!X-D>!-$1`,D2!-T5_'RM<!!!!!!!!\"AI6"
	"$B-E%RYZ\"!ID\"A]I0527.$N*)#!B\"A9!*#1M/$N(-4:!0DR,,4)[+CEK4F>G4VNL"
	"6FZQ/DN#36*@56VO/TN&0E.3-41^0E.436&F.4F&-D>'5VNM&BU]'3:+(3>+&\"IO"
	"\"QE4!!!!!!!!!!!!!!!!*#1J46*J7W?&7W+%)S)D%A])(BY<&RI:6&RQ/4Z).4R$"
	"+CYR,4!S.T5_1%2015B10U>2,3IW)3-I(RIC&252*S9R!AY4!!!!!!%7!!!!$2)C"
	"(#-Z/F\"]-U&J5';B*D2;!!!!,$5Y$1],'2U?,#MY87C(:H#4:H'3-TB'.$F!.42\""
	"7&^X462H5&FP+C]\\.TN(1UND4&*O0E:77'\"^8GG!!!!)%2UZ'2YT+3Y_&RQF%\"-B"
	"\"QI5!!!!!!!!!!!!!!!!!!!!'3F*.$N.2%V;2U^A+#5L+T!X,3YU-T:!'RMB/5\"2"
	",#]\\+C=O*#=M,D!].42%'2I<*3-F(\"I8&213!!!!!!!!!!!%!!!!$2IW!!!!#AY<"
	"$2%@(S^:%REM$RY_#!Q:!!!!!!!!!!!!!!!!#!I/,#UR-DB%,3]`/DR/,41`+#AW"
	"+CYX+#IS0%29(3)D)SAP/$J',4-`\"199!!!9#R9R!!!!&2II&BAC'BQL!!))%\"-C"
	"$2%@$R9L#A]@#!YA\"1A6!!)0!Q94!!%,#A]=&BIG)S=S*SQY+#QY+S]\\+#UX*SIV"
	"+3UX+3UX,4)`)SAQ)C9Q*3EV(S1R%25E#1U@#1YA!!)2#1Q;$!]=$2!?#!Q9%\"-C"
	"";

}  // namespace
